---
title: Docker Containerization in .NET 8
summary: Checking out the new .NET 8 Docker Container support and GitHub Actions Deployments in new Project Templates
tags: [.net8,github-actions,hosting]
url: https://media.servicestack.com/podcasts/net8-docker-containers.mp3
media: {size:2299821,duration:574.896000,format:mp3}
draft: true
---

This episode outlines how to containerize .NET 8 applications using Docker and deploy 
them securely to a Linux server via GitHub Actions. 

It begins by explaining the benefits and features of containerization with .NET 8 and 
GitHub Actions, then provides a step-by-step guide to setting up the deployment infrastructure, 
including the installation of Docker and Docker-Compose, SSH key generation, and the configuration 
of an Nginx reverse proxy. 

The guide concludes with a detailed breakdown of the GitHub Actions workflow and its components, 
including the permissions required, the different jobs involved, and the triggers that activate 
the deployment process.

### Videos

:::youtube y57c-9jeIww
Learn about the latest streamlined containerization support built into .NET 8
:::

:::youtube 7dardvqBFbE
Use GitHub Actions for Auto Deployments
:::

### Links

- [Blog Post](/posts/net8-docker-containers)