---
title: ServiceStack v8.1 Release
tags: [release,identity-auth,ioc,json,openapi,swagger]
summary: ServiceStack v8.1 is here with a host of new features including full integration with Identity Auth, ASP .NET IOC, Endpoint Routing, System.Text.Json APIs, enhanced Admin UIs with JWT support, and much more!
url: https://media.servicestack.com/podcasts/v8-1-release.mp3
media: {size:2482893,duration:620.664000,format:mp3}
---

The episode takes a deep dive into ServiceStack v8.1 focusing on the full integration with 
ASP.NET Core 8, which simplifies development by leveraging ASP.NET Core's features for 
authentication, dependency injection, routing, and JSON serialization. 
It explains how to migrate existing projects to utilize these features, including the transition 
from Funq IOC to ASP.NET Core IOC and the adoption of Endpoint Routing. 

ServiceStack v8.1 also offers enhancements to the OpenAPI v3 and Swagger UI integration, 
enabling users to easily generate and customize API documentation and concludes by discussing 
new features added for Blazor development, including InteractiveAuto mode, which provides a 
faster initial load time and a more responsive UI, and updates to the ServiceStack.Blazor 
components for increased productivity.

### Getting Started

All [new .NET 8 Apps](/start) are configured by default to use Endpoint Routing, ASP.NET Core IoC and System.Text.Json APIs.

#### Enable Open API v3

.NET 8 Apps configured to use [Endpoint Routing](https://docs.servicestack.net/endpoint-routing) can enable Open API v3 by running:

:::sh
x mix openapi3
:::

### Videos

:::youtube RaDHkk4tfdU
Migrating to ASP.NET Core Endpoints
:::

:::youtube zAq9hp7ojn4
OpenAPI v3 and Swagger UI
:::

:::youtube BXjcKkaK-nM
Blazor WASM Tailwind
:::

### Links

- [ServiceStack v8.1 Release Notes](https://docs.servicestack.net/releases/v8_01)