---
title: ServiceStack Endpoint Routing
summary: Talking about the new era of ServiceStack .NET 8 which is now more integrated then ever with support for ASP.NET Core Endpoint Routing and IoC    
tags: [.net8,api]
url: https://media.servicestack.com/podcasts/servicestack-endpoint-routing.mp3
media: {size:1668621,duration:417.096000,format:mp3}
draft: true
---

This episode looks at how ServiceStack v8.1 now fully integrates with ASP.NET Core by utilizing 
its standardized features, like Endpoint Routing and System.Text.Json, for a more streamlined 
development experience. 

This integration allows ServiceStack APIs to be executed alongside other ASP.NET Core features 
like Minimal APIs and Razor Pages, improving interoperability and providing a unified approach 
to application development. 

The article highlights the benefits of this integration, such as the ability to use ASP.NET Core's 
dependency injection framework, endpoint routing, and authorization mechanisms for ServiceStack APIs. 

Additionally, the article provides guidance on migrating existing ServiceStack projects to 
adopt the new features.

### Videos

:::youtube RaDHkk4tfdU
Migrating to ASP.NET Core Endpoints
:::

### Links

- [Blog Post](/posts/servicestack-endpoint-routing)