---
title: New Blazor Interactive Auto Template with Custom Admin UIs
summary: Discovering how to use ServiceStack.Blazor components to quickly create customizable and professional-looking admin pages in a Blazor application
tags: [blazor,.net8,admin]
url: https://media.servicestack.com/podcasts/blazor-8-admin.mp3
media: {size:2149773,duration:537.384000,format:mp3}
draft: true
---

This episode talks about the new InteractiveAuto rendering mode in Blazor for .NET 8, which combines 
the speed of server-side rendering with the responsiveness of client-side rendering. 

It highlights how ServiceStack.Blazor components can be used to create customizable and 
professional-looking admin pages in Blazor applications. The AutoQueryGrid component, 
in particular, is emphasized for its ability to display and edit data from an AutoQuery service, 
enabling the creation of efficient admin pages. 

The author then details the process of upgrading a .NET 6 Blazor application to .NET 8, 
including component compatibility and best practices for sharing components between server 
and client projects. 

### Videos

:::youtube BXjcKkaK-nM
New Blazor Interactive Auto Template with Custom Admin UIs
:::

:::youtube JW88KHwt_5I
ServiceStack.Blazor Components
:::

### Links

- [Blog Post](/posts/blazor-8-admin)