---
title: ServiceStack v8.3 Release
tags: [release,apikeys,admin-ui,commands,api]
summary: The latest features and improvements in ServiceStack v8.3 covering Commands Feature, API Keys, Integrated Admin UIs and more!
url: https://media.servicestack.com/podcasts/v8-3-release.mp3
media: {size:1838829,duration:459.648000,format:mp3}
---

This episode features an in-depth discussion about the latest ServiceStack v8.3 release 
that introduces several new features, including an improved Commands feature for 
structuring internal logic, a new API Keys feature for securing APIs, and a solution to the 
incompatibility with Red Hat Enterprise Linux 9's hardened cryptography policies. 

The Commands feature allows for better code reuse, testability, and observability, while the 
API Keys feature provides fine-grained access control and simplifies authentication for 
microservices. The updated license key generation process enables compatibility with RHEL 9, 
and a DOM XSS vulnerability has been fixed in the built-in Login page.

### Getting Started

Existing **Identity Auth** projects can enable API Keys by running:

:::sh
x mix apikeys
:::

### Videos

:::youtube U4vqOIHOs_Q
New .NET 8 API Keys Feature with Built-In UIs!
:::

:::youtube 0ceU91ZBhTQ
Simple Auth Story with API Keys ideal for .NET 8 Microservices
:::

:::youtube SXPdBHbncPc
Use Commands to build robust and observable systems with Admin UI
:::

### Links

- [ServiceStack v8.3 Release Notes](https://docs.servicestack.net/releases/v8_03)