---
title: Using API Keys to secure .NET 8 APIs
summary: Exploring the new API Keys Identity Auth feature and how its Admin UI enables simple fine-grained access control in ServiceStack .NET 8 APIs
tags: [apikeys,.net8,auth,rdbms]
url: https://media.servicestack.com/podcasts/apikeys.mp3
media: {size:2403309,duration:600.768000,format:mp3}
---

This episode outlines the new API Keys feature in ServiceStack v8.3, which provides a way 
to secure access to .NET 8 APIs. It explains the benefits of using API Keys for 
machine-to-machine communication, and how they differ from traditional authentication methods. 

It also discusses how to create, manage, and use API Keys in ServiceStack, including 
how to define scopes and features to control access to different resources. 

Additionally, it explores the user interfaces for managing API Keys in the API Explorer, 
Admin UI, and Identity Auth pages, along with the options for customizing these interfaces. 

Finally, the document demonstrates how to configure API Key usage in C# and TypeScript client 
applications.

### Getting Started

Existing **Identity Auth** projects can enable API Keys by running:

:::sh
x mix apikeys
:::

### Videos

:::youtube U4vqOIHOs_Q
New .NET 8 API Keys Feature with Built-In UIs!
:::

### Links

- [Blog Post](/posts/apikeys)