---
title: Simple Auth Story for .NET 8 Microservices
summary: Taking a look at the simple "user-free" Auth story made possible with API Keys and Admin UI that's ideal for .NET 8 Microservices
tags: [.net8,auth,apikeys]
url: https://media.servicestack.com/podcasts/simple-auth-microservices.mp3
media: {size:2623341,duration:655.776000,format:mp3}
---

This episode covers a simple authentication mechanism for .NET 8 microservices that utilizes API keys. 
It outlines the benefits of this approach for standalone applications and Docker appliances, 
emphasizing the ease of management and control. 

It provides a step-by-step guide to enabling API keys within existing or new projects, 
including configuring the Admin UI for key management. 

It further details how to protect APIs with API keys, restrict access through scopes, 
and integrate API key functionality into the API Explorer and concludes by highlighting the 
advantages of this approach for securing microservices with easy-to-use administrative tools 
and client integrations.

### Getting Started

Existing projects **without any Authentication** can enable this simple Auth story by running:

:::sh
x mix apikeys-auth
:::

### Videos

:::youtube 0ceU91ZBhTQ
Simple Auth Story with API Keys ideal for .NET 8 Microservices
:::

### Links

- [Blog Post](/posts/simple-auth-microservices)